From: Angel Abad <angel@ideateca.com>
Date: Sat, 14 Jun 2014 13:07:54 +0200
Subject: Reorder gcc arguments

This package fails to link with binutils-gold / --as-needed.
Reorder gcc arguments.

Bug-Debian: https://bugs.debian.org/751571
---
 Makefile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/Makefile b/Makefile
index 8386862..2005899 100644
--- a/Makefile
+++ b/Makefile
@@ -14,7 +14,7 @@ endif
 all: brightd brightd.1
 
 brightd: brightd.c
-	gcc $(CFLAGS) $(A_CFLAGS) -o $@ $@.c
+	gcc $@.c $(CFLAGS) $(A_CFLAGS) -o $@
 
 brightd.1:
 	sed -re 's/^\.nr no_x11 [01]/.nr no_x11 $(MAN_NO_X11)/' brightd.1.tpl > brightd.1
